# Class AtomShape

java.lang.Object
org.jmol.shape.Shape
org.jmol.shape.AtomShape

Direct Known Subclasses:
  `Balls, BioShape, Dots, Ellipsoids, Halos, Labels, Measures, Polyhedra, Stars, Vectors`

public abstract class AtomShape extends Shape

## Field Summary

Fields
Modifier and Type
Field
Description
`BS`
`bsSizeDefault`
`short[]`
`colixes`
`boolean`
`isActive`
`protected boolean`
`isSet`
`short`
`mad`
`short[]`
`mads`
`int`
`monomerCount`
`byte[]`
`paletteIDs`

### Fields inherited from class Shape

`bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

## Constructor Summary

Constructors
Constructor
Description
`AtomShape()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`checkColixLength(short colix, int n)`
`String`
`getShapeState()`
`int`
`getSize(int atomIndex)`
overridden in Dots, CGOMesh, and AtomShape
`protected void`
`initModelSet()`
`void`
`initShape()`
`void`
`setAtomClickability()`
`protected void`
`setColixAndPalette(short colix, byte paletteID, int atomIndex)`
`protected void`
`setPropAS(String propertyName, Object value, BS bs)`
`protected void`
`setSize(int size, BS bsSelected)`
`protected void`
`setSize2(int size, BS bsSelected)`
`protected void`
`setSizeRD(RadiusData rd, BS bsSelected)`
`protected void`
`setSizeRD2(int i, RadiusData rd, boolean isVisible)`

### Methods inherited from class Shape

`appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropertyData, getPropShape, getShapeDetail, getSizeG, getTranslucentLabel, initializeShape, replaceGroup, setModelSet, setModelVisibilityFlags, setProperties, setProperty, setPropS, setShapeSizeRD, wasClicked`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mad

public short mad

### mads

public short[] mads

### colixes

public short[] colixes

### paletteIDs

public byte[] paletteIDs

### isActive

public boolean isActive

### isSet

protected boolean isSet

### monomerCount

public int monomerCount

### bsSizeDefault

public BS bsSizeDefault

## Constructor Details

### AtomShape

public AtomShape()

## Method Details

### initShape

public void initShape()

Specified by:
  `initShape` in class `Shape`

### initModelSet

protected void initModelSet()

Overrides:
  `initModelSet` in class `Shape`

### getSize

public int getSize(int atomIndex)
Description copied from class: `Shape`
overridden in Dots, CGOMesh, and AtomShape

Overrides:
  `getSize` in class `Shape`
Parameters:
  `atomIndex` -
Returns:
  size

### setSize

protected void setSize(int size, BS bsSelected)

Overrides:
  `setSize` in class `Shape`
Parameters:
  `size` -
  `bsSelected` -

### setSize2

protected void setSize2(int size, BS bsSelected)

### setSizeRD

protected void setSizeRD(RadiusData rd, BS bsSelected)

Overrides:
  `setSizeRD` in class `Shape`
Parameters:
  `rd` -
  `bsSelected` -

### setSizeRD2

protected void setSizeRD2(int i, RadiusData rd, boolean isVisible)

### setPropAS

protected void setPropAS(String propertyName, Object value, BS bs)

### checkColixLength

protected int checkColixLength(short colix, int n)

### setColixAndPalette

protected void setColixAndPalette(short colix, byte paletteID, int atomIndex)

### setAtomClickability

public void setAtomClickability()

Overrides:
  `setAtomClickability` in class `Shape`

### getShapeState

public String getShapeState()

Specified by:
  `getShapeState` in class `Shape`